evthr Struct Reference

## Data Fields

int | rdr
int | wdr
char | err
ev_t * | event
evbase_t * | evbase
pthread_mutex_t | lock
pthread_t * | thr
evthr_init_cb | init_cb
evthr_init_cb | exit_cb
void * | arg
void * | aux

## Detailed Description

Definition at line 39 of file thread.c.

## Field Documentation

## arg

void* evthr::arg

Definition at line 49 of file thread.c.

## aux

void* evthr::aux

Definition at line 50 of file thread.c.

## err

char evthr::err

Definition at line 42 of file thread.c.

## evbase

evbase_t* evthr::evbase

Definition at line 44 of file thread.c.

## event

ev_t* evthr::event

Definition at line 43 of file thread.c.

## exit_cb

evthr_init_cb evthr::exit_cb

Definition at line 48 of file thread.c.

## init_cb

evthr_init_cb evthr::init_cb

Definition at line 47 of file thread.c.

## lock

pthread_mutex_t evthr::lock

Definition at line 45 of file thread.c.

## rdr

int evthr::rdr

Definition at line 40 of file thread.c.

## thr

pthread_t* evthr::thr

Definition at line 46 of file thread.c.

## wdr

int evthr::wdr

Definition at line 41 of file thread.c.

The documentation for this struct was generated from the following file:

- thread.c